Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.ui
Class RadioButtons

    java.lang.Object
      com.tonbeller.wcf.ui.XoplonCtrl
          com.tonbeller.wcf.ui.TypedCtrl
              com.tonbeller.wcf.ui.Select
                  com.tonbeller.wcf.ui.SelectSingle
                      com.tonbeller.wcf.ui.RadioButtons

All Implemented Interfaces:
  BasicTypes

Deprecated. - does this make sense?

public class RadioButtons
extends SelectSingle

factory for generating radio buttons

Field Summary
`static java.lang.String` | `NODENAME` Deprecated.

Fields inherited from interface com.tonbeller.wcf.format.BasicTypes
`BOOLEAN_TYPE, DATE_TYPE, DOUBLE_TYPE, EMAIL_TYPE, INT_TYPE, POSINT_TYPE, REQSTR_TYPE, STRING_TYPE`

Constructor Summary
`RadioButtons()` Deprecated.

Method Summary
`static org.w3c.dom.Element` | `addRadioButtons(org.w3c.dom.Element parent)` Deprecated. factory function for adding radio buttons to parent
`static org.w3c.dom.Element` | `createRadioButtons(org.w3c.dom.Document doc)` Deprecated. factory function for creating radio buttons
`static boolean` | `isRadioButtons(org.w3c.dom.Element elem)` Deprecated.

Methods inherited from class com.tonbeller.wcf.ui.SelectSingle
`getSelectedItem, getSelectedItemIdx`

Methods inherited from class com.tonbeller.wcf.ui.Select
`addItem, getItems, getIValue, removeAllItems, removeItem, removeSelection, setIValue, setSelectedItems, setSelection`

Methods inherited from class com.tonbeller.wcf.ui.TypedCtrl
`getFormatString, getType, setFormatString, setType`

Methods inherited from class com.tonbeller.wcf.ui.XoplonCtrl
`createCtrl, getId, getLabel, getModelReference, isDisabled, isHidden, setDisabled, setHidden, setId, setLabel, setModelReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODENAME

    public static final java.lang.String NODENAME

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### RadioButtons

    public RadioButtons()

  Deprecated.

Method Detail

### isRadioButtons

    public static boolean isRadioButtons(org.w3c.dom.Element elem)

  Deprecated.

### createRadioButtons

    public static org.w3c.dom.Element createRadioButtons(org.w3c.dom.Document doc)

  Deprecated.
  factory function for creating radio buttons

### addRadioButtons

    public static org.w3c.dom.Element addRadioButtons(org.w3c.dom.Element parent)

  Deprecated.
  factory function for adding radio buttons to parent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD